zxcvbn-c-1.0.1: Password strength estimation

Safe Haskell | None
Language | Haskell98

Text.Password.Strength

Synopsis

- type Password = String
- type UserDict = [String]
- type Entropy = Double
- estimate :: Password -> UserDict -> Entropy

# Documentation

type Password = String Source #

type UserDict = [String] Source #

List of words that would be particularly bad in the password, to suppliment the built-in word lists. The name of the user is a good candidate to include here.

type Entropy = Double Source #

Entropy estimation in bits.

estimate :: Password -> UserDict -> Entropy Source #